要与这本书一起进行,您需要以下内容:

  • SWIFT 5.2:Vapor 4在Xcode和命令行中需要SWIFT 5.2最小值。

  • Xcode 11.4或更高版本:Xcode是用于在SWIFT中编写代码的主要开发工具。您需要最少的Xcode 11.4,因为该版本包括Swift 5.2。您可以从Mac App Store免费下载最新版本的Xcode。

如果您尚未安装最新版本的Xcode,请务必在继续本书之前执行此操作。本书中所涵盖的代码取决于Swift 5.2和Xcode 11.4 - 如果您尝试使用较旧版本,您可能会丢失。

本书为希望使用蒸气创建服务器端SWIFT应用程序的开发人员提供构建块。它向您展示了如何从iOS中获悉,如何采取熟悉的类型安全,编译驱动的世界,并在服务器上使用它。

本书唯一的先决条件是对SWIFT和IOS开发的中间理解。如果您通过经典的初学书籍工作 - Swift学徒 //store.ohdvia.icu/products/swift-apprenticeiOS.Apprentice //store.ohdvia.icu/products/ios-apprentice - 或具有类似的开发经验,您已准备好阅读这本书。

在通过本书工作时,您将开发一个名为TIL的服务器端应用程序 - 今天我学习 - 录制和分类首字母缩略词。您将首先构建REST API来支持IOS和其他客户端应用程序。然后,您将构建一个网站,直接访问数据并通过身份验证保护它全部。

有一个技术问题?想报告一个错误吗? 您可以向官方书籍论坛中的书籍作者提出问题和报告错误 这里.

有反馈分享在线阅读体验吗? 如果您有关于UI,UX,突出显示或我们在线阅读器的其他功能的反馈,您可以将其发送到设计团队,其中表格如下所示:

© 2021 Razeware LLC